// Audio Player Control via HID
// Rainer Boettchers

#include "Keyboard.h"

#define BP 4          // input pin for pushbutton
int buttonState;
int lastState;

void setup() {
  // make the pushButton pin an input:
  pinMode(BP, INPUT_PULLUP);
  // initialize control over the keyboard:
  Keyboard.begin();
  lastState = digitalRead(BP); // init current state
}

void loop() {
  buttonState = digitalRead(BP); // read switch
  while (buttonState == lastState)  { // same state as before?
    delay(10); // wait a moment
    buttonState = digitalRead(BP); // retry
  }
  // switch changed  
  Keyboard.write(' '); // send break
  lastState = buttonState;  // remeber
  delay(10);
}

